Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232518 - gdm-2.18.0 refuses to start session when Greeter set to /usr/libexec/gdmlogin
Summary: gdm-2.18.0 refuses to start session when Greeter set to /usr/libexec/gdmlogin
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-15 21:53 UTC by Michal Jaegermann
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 2.18.0-3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-20 04:09:25 UTC


Attachments (Terms of Use)
gdm debug output with a failure to start session (deleted)
2007-03-15 21:53 UTC, Michal Jaegermann
no flags Details

Description Michal Jaegermann 2007-03-15 21:53:49 UTC
Description of problem:

After an update to gdm-2.18.0-2.fc7 a normal gdm screen shows up
but an attempt to start a session, while in /etc/gdm/custom.conf
Greeter=/usr/libexec/gdmlogin
is set, ends up immediately with a blank screen and gdm login
screen returns after a short while or on a black screen the
following alert shows up:

"The greeter application appears to be crashing.
Attempting to use a different one."

and we are getting nowhere with this alert cycling.

With Greeter reset to a session start as usual (although a list of
accounts which should not show up on a login screen could use some
attention).

Reverting gdm to gdm-2.17.8-3.fc7 resolves the issue immediately.

With "Enable=true" in [debug] section of /etc/gdm/custom.conf one
gets a lengthy debug output which is attached.


Version-Release number of selected component (if applicable):
gdm-2.18.0-2.fc7

How reproducible:
always

Comment 1 Michal Jaegermann 2007-03-15 21:53:49 UTC
Created attachment 150179 [details]
gdm debug output with a failure to start session

Comment 2 Ray Strode [halfline] 2007-03-15 21:58:19 UTC
It says "Unexpected greeter command: Z" 

Z doesn't look familiar to me.  David, is it something you added?

Comment 3 Ray Strode [halfline] 2007-03-15 22:00:26 UTC
Okay, I ran into david in the hall and it's something he added and update to
work with the plain greeter.

Comment 4 David Zeuthen 2007-03-20 04:09:25 UTC
Should please fixed in 2.18.0-3 otherwise please reopen.


Note You need to log in before you can comment on or make changes to this bug.